:root {
	--frameWidth: 800px;
	--frameHeight: 480px;
	--tvColorBars: linear-gradient(90deg, #fff 0%, #fff 12.5%, #ff0 12.5%, #ff0 25%, #0ff 25%, #0ff 37.5%, #0f0 37.5%, #0f0 50%, #f0f 50%, #f0f 62.5%, #f00 62.5%, #f00 75%, #00f 75%, #00f 87.5%, #000 87.5%, #000 100%);
}

* {
	box-sizing: border-box;
}

body {
	margin: 0;
	position: absolute;
    width: 100%;
    height: 100%;
	display: flex;
    flex-direction: column;
    justify-content: center;
    background: var(--backgroundColor);
    color: var(--foregroundColor);
}

a {
	color: var(--linkColor);
}

ul {
	padding-inline-start: 18px;
}

b {
	font-weight: 600;
}

#backgroundImage {
	transition: background-image 0.25s;
	position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: var(--backgroundImageJPG);
    background-repeat: no-repeat, no-repeat;
    background-position: center center, center center;
    background-size: cover, cover;
    z-index: -1;

    @supports (background-image: var(--backgroundImageWEBP)) {
    	background-image: var(--backgroundImageWEBP);
  	}
}

#logo {
	position: fixed;
	bottom: 12px;
	right: 12px;
	width: 59px;
	height: 15px;
	z-index: -1;
	color: white;
	filter: drop-shadow(2px 4px 6px black);
}

.bCardWrap {
	margin: 0 auto;
    padding: calc(var(--personAvatarSize) / 2) 0;
    max-width: var(--frameWidth);
    width: 100%;
}

.bCardContainer {
    backdrop-filter: var(--bCardFilter);
	min-height: var(--frameHeight);
	background: var(--bCardBackground);
	outline: 1px solid var(--bCardBorderColor);
	box-shadow: var(--bCardShadow);
	border-radius: var(--bCardCornerRadius);
	position: relative;
}

.bCardContainer::before {
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	background-image: var(--bCardTopBackground);
	background-blend-mode: var(--bCardTopBackgroundBlendMode);
	border-radius: inherit;
	z-index: -1;
	opacity: var(--bCardTopBackgroundOpacity);
}

main {
	display: flex;
	flex-direction: row;
}

main > section {
	width: 240px;
}

section > header {
	display: flex;
    flex-direction: column;
    align-items: center;
}

section > nav {
	display: flex;
	flex-direction: column;
	user-select: none;
}

#personAvatar {
	width: var(--personAvatarSize);
	height: var(--personAvatarSize);
	border-radius: 50%;
	background: black;
	margin-top: calc(calc(var(--personAvatarSize) / 2) * -1);
	overflow: hidden;
}

main #personAvatar {
	z-index: 1;
	box-shadow: var(--personAvatarShadow);
}

#personAvatar > img, #personAvatar > picture {
	display: block;
	width: 100%;
	height: 100%;
}

#personName {
	margin: 16px 0px;
	font-weight: 600;
}

main > content {
	flex: 1;
	width: 0;
	position: relative;
	display: none;
}

main > content.layered {
	background: var(--layerBackground);
	/* background: var(--cardBackground); */
	padding: 0px var(--contentPadding);
	border-radius: 0px var(--bCardCornerRadius) var(--bCardCornerRadius) 0px;
}

main > content.layered::before {
	content: "";
	position: absolute;
	left: -1px;
	width: 1px;
	height: 100%;
	background: var(--layerBorderColor);
}

content h4 {
	margin-bottom: 20px;
	font-weight: 600;
}

content h4:first-child {
	margin-top: var(--contentTopPadding);
}

content p, content ul {
	margin-top: 0px;
	margin-bottom: 14px;
}

/* Tabs */

nav > input[type="radio"] {
    position: absolute;
    left: -200vw;
}

nav > input[type="radio"] + label {
	position: relative;
	display: flex;
	padding: 10px 16px;
	cursor: pointer;
}

nav > input[type="radio"] + label:hover {
	text-decoration: underline;
}

nav > input[type="radio"]:focus + label {
	outline: 1px solid var(--foregroundColor);
}

nav > input[type="radio"]:checked + label::before {
	content: "";
	position: absolute;
	left: 4px;
	right: 4px;
	top: 2px;
	bottom: 2px;
	border-radius: var(--tabSelectedBackgroundCornerRadius);
	background: var(--tabSelectedBackground);
}

nav > input[type="radio"]:checked + label::after {
	content: "";
	position: absolute;
	left: 4px;
	top: calc((100% - var(--tabSelectedIndicatorLength)) / 2);
	width: 3px;
	height: var(--tabSelectedIndicatorLength);
	border-radius: var(--tabSelectedIndicatorCornerRadius);
	background: var(--accentColor);
}

main:has(#about:checked) #aboutTab, main:has(#projects:checked) #projectsTab, main:has(#contacts:checked) #contactsTab, main:has(#blogt:checked) #blogTab {
	display: block;
}

/* Cards */

.cardsContainer {
	padding: var(--contentPadding);
	padding-left: calc(var(--contentPadding) - 4px);
	display: flex;
	flex-wrap: wrap;
	gap: var(--contentSpacing);
}

.card {
	background: var(--cardBackground);
	outline: 1px solid var(--cardBorderColor);
	border-radius: var(--cardCornerRadius);
	box-shadow: var(--cardShadow);
	display: flex;
	transition: background 0.2s, box-shadow 0.2s;
}

.card:hover, .card:focus {
	background: var(--cardHoverBackground);
}

.card:active, .card:focus {
	box-shadow: unset;
}

.card:focus {
	outline: 1px solid var(--foregroundColor);
}

.card > picture:first-child, .card > svg:first-child {
	width: 32px;
	height: 32px;
	margin-right: 16px;
}

.card > picture:first-child {
	display: flex;
}

.card > picture:first-child > img {
	object-fit: scale-down;
}

.card > svg:first-child {
	color: var(--accentColor);
}

.card > content {
	flex: 1;
	width: 0;
}

.card header, .card .sub {
	color: var(--foregroundColor);
}

.card header {
	font-weight: 600;
}

a.card {
	text-decoration: none;
	color: var(--cardForeground);
}

a.card:hover header {
	text-decoration: underline;
}

.projectsCards > .card {
	width: calc(50% - calc(var(--contentSpacing) / 2));
    min-height: 134px;
	padding: 16px;
}

.contactsCards > .card {
	width: 100%;
	padding: 16px;
}

.contactsCards > .card > svg:first-child {
	width: 22px;
	height: 22px;
}

/* Fix for blog posts  */
#blogTab .card > content > p {
	margin: 0px !important;
}

/* Loader */

.loaderContainer > .loader {
	height: 100%;
	display: flex;
    align-items: center;
    justify-content: center;
}

@media all and (max-width:800px) {
	.bCardWrap {
		min-height: 100%;
    	overflow-x: hidden;
		padding-top: calc(var(--personAvatarSize) / 2 + 24px);
	}

	.bCardContainer {
		min-height: 100%;
	}

	main {
		flex-direction: column;
	}

	main > section {
		width: 100%;
	}

	#personName {
		margin: 12px 0px 2px 0px;
	}

	section > nav {
		flex-direction: row;
	}

	nav > input[type="radio"] + label {
		flex-grow: 1;
		justify-content: center;
	}

	nav > input[type="radio"]:checked + label::before {
		content: unset;
	}

	nav > input[type="radio"]:checked + label::after {
		top: unset;
		bottom: 4px;
		left: calc((100% - var(--tabSelectedIndicatorLength)) / 2);
		width: var(--tabSelectedIndicatorLength);
		height: 3px;
	}

	main > content {
		flex: unset;
		width: 100%;
	}

	main > content.layered {
		flex-grow: 1;
		border-radius: 0px 0px var(--commonCornerRadius) var(--commonCornerRadius);
	}

	main > content.layered::before {
		left: unset;
		top: -1px;
		width: 100%;
		height: 1px;
	}

	.cardsContainer {
		padding-top: 0px;
		padding-left: var(--contentPadding);
	}

	.projectsCards > .card {
		width: 100%;
		min-height: unset;
	}
}